org.eclipse.ease.ui.propertytester

## Class ScriptEnginePropertyTester

- java.lang.Object
- - org.eclipse.core.expressions.PropertyTester
  - - org.eclipse.ease.ui.propertytester.ScriptEnginePropertyTester

All Implemented Interfaces:
  IPropertyTester

    public class ScriptEnginePropertyTester
    extends PropertyTester

### Constructor Summary

Constructors
Constructor and Description
`ScriptEnginePropertyTester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test(java.lang.Object receiver, java.lang.String property, java.lang.Object[] args, java.lang.Object expectedValue)`

### Methods inherited from class org.eclipse.core.expressions.PropertyTester

`handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptEnginePropertyTester

    public ScriptEnginePropertyTester()

### Method Detail

#### test

    public boolean test(java.lang.Object receiver,
                        java.lang.String property,
                        java.lang.Object[] args,
                        java.lang.Object expectedValue)